﻿:root {
	--rr-color-primary: #265680;
	--rr-color-button-selected: #D3DDE5;
	--rr-color-background: #f9f9f9;
	--rr-color-darkbackground: #cccccc;
	--rr-color-border: #e8e8e8;
	--rr-color-disabled: #b5b5b5;
	--rr-color-darktext: #555555;
}

.range-reservation-wrapper {
	/*	available if needed*/
}

.range-reservation-header {
	font-size: 1.5em;
	font-weight: bold;
}

	.range-reservation-header span {
		color: var(--rr-color-primary);
	}

.range-reservation-sub-header {
	padding-bottom: 10px;
}

.range-back-link {
	font-size: 1.1em;
	font-weight: bold;
	display: inline-block;
	margin-bottom: 8px;
}

	.range-back-link .fa {
		font-size: 2em;
		transform: translateY(14%);
	}

.range-current-selections-row {
	border-bottom: solid 2px var(--rr-color-border);
	margin-bottom: 10px;
}

.range-current-selections .fa {
	font-size: 1.5em;
	transform: translateY(14%);
}

.range-current-selections span,
.range-back-link span {
	margin-left: 5px;
}

.range-current-selections li {
	margin: 7px 0;
}

.range-radio-select-wrapper .input-group {
	width: 100%;
}

.range-radio-select-wrapper {
	margin: 0;
}

	.range-radio-select-wrapper .radio {
		width: 100%;
	}

		.range-radio-select-wrapper .radio label, .range-radio-select-wrapper .time-of-day {
			display: inline-block;
			border: 2px solid var(--rr-color-primary);
			color: var(--rr-color-primary);
			font-weight: bold;
			border-radius: 6px;
			padding: 10px 16px;
			cursor: pointer;
			width: 100%;
			text-align: center;
		}

	.range-radio-select-wrapper .time-of-day {
		margin-bottom: 6px;
	}


	.range-radio-select-wrapper .radio label.btn-primary {
		background-color: #fff;
		border-color: var(--rr-color-primary);
		color: initial;
	}

	.range-radio-select-wrapper .radio input[type="radio"] {
		display: none;
	}

		.range-radio-select-wrapper .radio input[type="radio"]:checked + label,
		.range-radio-select-wrapper input.time-of-day:focus,
		.range-radio-select-wrapper input.time-of-day:active {
			background-color: var(--rr-color-button-selected);
		}

	.range-radio-select-wrapper .radio:hover, .range-radio-select-wrapper .time-of-day:hover {
		background-color: var(--rr-color-button-selected);
	}


.range-select-day-row {
	margin-top: 60px;
	margin-bottom: 10px;
}

	.range-select-day-row label {
		display: inline;
		padding: 0 20px 0 20px;
	}

	.range-select-day-row .form-control {
		display: inline;
		width: auto;
	}

.range-select-day-column {
	background-color: var(--rr-color-background);
}

/*magic switch from https://bootsnipp.com/snippets/xp0QM */
.material-switch.guest-checkbox {
	margin: 10px 0;
}

.material-switch span {
	font-weight: bold;
}

.material-switch > input[type="checkbox"] {
	display: none;
}

.material-switch > label {
	cursor: pointer;
	height: 0px;
	position: relative;
	width: 40px;
}

	.material-switch > label::before {
		background: rgb(0, 0, 0);
		box-shadow: inset 0px 0px 10px rgba(0, 0, 0, 0.5);
		border-radius: 8px;
		content: '';
		height: 16px;
		margin-top: -8px;
		position: absolute;
		opacity: 0.3;
		transition: all 0.4s ease-in-out;
		width: 40px;
	}

	.material-switch > label::after {
		background: rgb(255, 255, 255);
		border-radius: 16px;
		box-shadow: 0px 0px 5px rgba(0, 0, 0, 0.3);
		content: '';
		height: 24px;
		left: -4px;
		margin-top: -8px;
		position: absolute;
		top: -4px;
		transition: all 0.3s ease-in-out;
		width: 24px;
		margin-left: 3px;
	}

.material-switch > input[type="checkbox"]:checked + label::before {
	background: inherit;
	opacity: 0.5;
}

.material-switch > input[type="checkbox"]:checked + label::after {
	background: inherit;
	left: 20px;
}

.flatpickr {
	margin-bottom: 0;
	position: relative;
	top: -48px;
}

	.flatpickr .flatpickr-day.selected, .flatpickr .flatpickr-day.selected:hover {
		background-color: var(--rr-color-primary);
		border-color: var(--rr-color-primary);
	}

	.flatpickr .flatpickr-calendar {
		-webkit-box-shadow: none;
		box-shadow: none;
		background-color: transparent;
		margin: 0 auto;
		top: 10px;
		margin-top: 20px;
	}

	.flatpickr .flatpickr-weekday {
		font-weight: normal;
		text-transform: uppercase;
		color: var(--rr-color-darktext);
	}

	.flatpickr .flatpickr-months .flatpickr-month {
		font-weight: bold;
		color: var(--rr-color-darktext);
		font-size: 1em;
	}

	.flatpickr .flatpickr-day {
		font-weight: bold;
	}

		.flatpickr .flatpickr-day.flatpickr-disabled {
			font-weight: normal;
			color: var(--rr-color-disabled);
		}

.range-yards {
	font-weight: bold;
}

.range-row {
	margin-bottom: 20px;
}

.range-col {
	padding-top: 20px;
	border-top: solid 2px var(--rr-color-border);
	background-color: var(--rr-color-background);
}
i.text-primary.fa.fa-map-marker, i.text-primary.fa.fa-dot-circle-o, i.text-primary.fa.fa-calendar-o, i.text-primary.fa.fa-clock-o {
	color: #a78c01;
}
i.fa.fa-chevron-left, i.fa.fa-chevron-right {
	color: #004f14;
}
.flatpickr .flatpickr-day.selected, .flatpickr .flatpickr-day.selected:hover {
	background-color: #004f14;
	border-color: #004f14;
}
.flatpickr-day.today {
	border-color: #004f14 !important;
}
.flatpickr-day.today:hover, .flatpickr-day.today:focus {
	border-color: #03661c !important;
    background: #03661c !important;
}
.range-radio-select-wrapper .radio label, .range-radio-select-wrapper .time-of-day {
	border: 2px solid #004f14;
    color: #004f14;
}
.range-radio-select-wrapper .radio:hover, .range-radio-select-wrapper .time-of-day:hover {
    background-color: rgb(0 79 20 / 20%);
}
.range-radio-select-wrapper .radio input[type="radio"]:checked + label, .range-radio-select-wrapper input.time-of-day:focus, .range-radio-select-wrapper input.time-of-day:active {
	 background-color: rgb(0 79 20 / 20%);
}
.range-reservation-header span {
	color: #004f14;
}
.label-primary {
    background-color: #03661c;
}
@media (min-width: 991px) {
	.range-row {
		display: flex;
		flex-wrap: wrap;
		align-items: stretch;
	}

	.range-col {
		border: none;
		background-color: inherit;
	}

	.range-reservation-select-range {
		border: solid 2px var(--rr-color-border);
		background-color: var(--rr-color-background);
		height: 100%;
		width: 100%;
		padding: 20px;
	}
}

.range-reservation-select-range .range-name {
	font-weight: bold;
	font-size: 1.5em;
}

.range-reservation-select-range .radio input {
	position: static;
}

.range-reservation-select-range img {
	max-width: 100%;
}

.range-description-wrapper {
	padding: 10px 0 30px 0;
}

.range-store-selection {
	padding-bottom: 10px;
}

	.range-store-selection label {
		font-weight: bold;
	}

.range-reservation-wrapper .btn-lg {
	font-size: 1em;
}

.range-confirmation-topic-wrapper h2 {
	margin-bottom: 0;
	text-align: center;
}

.range-confirmation-topic-wrapper .range-current-selections {
	padding: 20px 0;
	margin: 0 auto;
}

.range-contact-wrapper {
	font-weight: bold;
	text-align: center;
}

@media (min-width: 480px) {
	.range-contact-wrapper, .range-confirmation-topic-wrapper h2 {
		text-align: left;
	}
}

.number-of-guests {
	max-width: 100px;
}

.range-select-time {
	margin-top: 10px;
}

.prev-col-left {
	text-align: left;
}
	.prev-col-left span {
		margin-left: 5px;
	}

.next-col-right {
	text-align: right;
}
	.next-col-right span {
		margin-right: 5px;
	}



.range-pagination {
	font-weight: bold;
}
	.range-pagination:active, .range-pagination:focus, .range-pagination:link {
		text-decoration: none;
		color: var(--rr-color-primary);
	}